<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [sharePower](./bitburner.reputationformulas.sharepower.md)

## ReputationFormulas.sharePower() method

Calculate the share power if you call [ns.share](./bitburner.ns.share.md) with the specified number of threads on a server having the specified number of CPU cores.

**Signature:**

```typescript
sharePower(threads: number, cpuCores?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

threads


</td><td>

number


</td><td>

Number of threads. Must be a positive integer.


</td></tr>
<tr><td>

cpuCores


</td><td>

number


</td><td>

_(Optional)_ Number of CPU cores. Must be a positive integer. The default value is 1.


</td></tr>
</tbody></table>

**Returns:**

number

The calculated share power.

